## ftphs 1.0.4.6

=== Makefile ===
# arch-tag: Main Makefile
# Copyright (C) 2004 - 2005 John Goerzen <jgoerzen@complete.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 2.1 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

PROJECT := ftphs
GHCPARMS := -fallow-overlapping-instances -fallow-undecidable-instances -fglasgow-exts -cpp

.PHONY: all hugsbuild
all: setup			# GHC build
	./setup configure
	./setup build

hugsbuild: setup
	./setup configure --hugs
	./setup build

setup: Setup.hs $(PROJECT).cabal
	ghc -package Cabal Setup.hs -o setup

doctmp/%.hs: %.lhs doctmp
	mkdir -p `dirname $@`
	$(UNLIT) $< $@

doctmp:
	mkdir doctmp

.PHONY: doc
doc: $(LHSCONVSOURCES) setup
	-rm -rf html
	./setup configure
	./setup haddock
#	haddock $(HADDOCKARGS) --package=$(PROJECT) \
#	   --dump-interface=html/$(PROJECT).haddock \
#	   -t '$(PROJECT) API Manual' -h -o html $(HUGSCONVSOURCES) $(LHSCONVSOURCES)
	mv dist/doc/html .

.PHONY: hugsbuild


clean:
	-./setup clean
	-rm -rf html `find . -name "*.o"` `find . -name "*.hi"` \
		`find . -name "*~"` *.a setup dist testsrc/runtests \
		local-pkg doctmp
	-rm -rf testtmp/*

.PHONY: local-pkg
local-pkg: all
	echo "[" > local-pkg
	cat .installed-pkg-config >> local-pkg
	echo "]" >> local-pkg

testsrc/runtests: all $(wildcard testsrc/*.hs) $(wildcard testsrc/*/*.hs) $(wildcard testsrc/*/*/*.hs)
	cd testsrc && ghc --make -package hslogger -package MissingH -package mtl $(GHCPARMS) -o runtests  -i../dist/build:../src runtests.hs

test-ghc6: testsrc/runtests
	testsrc/runtests

test-hugs: 
	runhugs -98 +o "-Fcpphs --noline" -P$(PWD)/src:$(PWD)/testsrc: testsrc/runtests.hs

interact-hugs:
	hugs -98 +o -P$(PWD)/dist/build:

interact-ghci: all
	ghci -idist/build -Ldist/build $(GHCPARMS)

interact: interact-hugs

test: test-ghc6 test-hugs

## ftphs 1.0.2

=== debian/changelog ===
ftphs (1.0.2) unstable; urgency=low

  * Debian updated for new GHC.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 01 Jun 2007 04:33:50 -0500

ftphs (1.0.1) unstable; urgency=low

  * Rebuilt against MissingH 0.18.4.  Closes: #422055.
  * Dropped Hugs builds.  Hugs has dropped regex support (see #422170).
    Closes: #419391.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 03 May 2007 19:39:56 -0500

ftphs (1.0.0) unstable; urgency=low

  * First ftphs release.  Closes: #401945.
  * This package contains code that used to be part of MissingH and was
    split off according to the MissingH transition plan.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  7 Dec 2006 06:02:02 -0600

missingh (0.18.0) unstable; urgency=low

  * Major API changes in this release; several large modules being
    split off into separate packages.  See 
    http://software.complete.org/missingh/wiki/TransitionPlanning
    for details.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  7 Dec 2006 06:13:58 -0600

missingh (0.16.3) unstable; urgency=low

  * New version
  * New module MissingH.ProgressTracker which tracks the progress
    of long-running tasks.  It can also give estimated time to completion
    and overall speed statistics, as well as support dividing a task
    into many subtasks.
  * New module MissingH.ProgressMeter which displays one or more
    ProgressTrackers as a status bar on a console.
  * New module MissingH.Quantity which renders numbers according
    to a quantification system such as SI or binary
  * New functions forkRawSystem and pOpen3Raw in MissingH.Cmd.  Instead
    of taking functions to run as actions, instead returns the PID
    of the child process and leaves it up to the programmer to properly
    handle the result.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 28 Nov 2006 05:52:08 -0600

missingh (0.16.2) unstable; urgency=low

  * Documented Quantity.hs
  * Fixed missing libghc6-*-dev deps from GHC 6.6.  Closes: #394580.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 21 Oct 2006 19:51:08 -0500

missingh (0.16.1) unstable; urgency=low

  * Fix up dependencies

 -- John Goerzen <jgoerzen@complete.org>  Thu, 19 Oct 2006 05:24:04 -0500

missingh (0.16.0) unstable; urgency=low

  * NEW: MissingH.Quantity that is used to render numbers as binary
    units (MB, KB, etc) or SI units, or other similar units
  * NEW: MissingH.ProgressTracker that is used to track the progress
    of long-running tasks, measure their speed, and give estimated
    completion times
  * Update to support GHC 6.6
    + Remove FiniteMap support everywhere (no longer supported in GHC)
    + Remove MissingH.Printf (has been deprecated since 0.13.0 due to
      Text.Printf)
    + Update README
    + Fix MissingH.FTP.Server for GHC 6.6.0 compatibility
    + Update cabal file for GHC 6.6 compatibility
  * Patch from Jeremy Shaw to add to MissingH.HUnit the ability to turn
    QuickCheck tests into HUnit tests
  * Patch from Joe Edmonds to MissingH.Wash.Mail.MailParser to
    accept a slight violation of RFC2822 in which date headers may have
    a single-digit date
  * Fix a logic error in MemoryBuffer's vPutStr that could corrupt
    data when a write occurs after a seek, and wrote a test to
    detect this condition.  Thanks to Bulat Ziganshin for finding this.
  * New function in MissingH.List to merge two sorted lists into
    a single sorted whole.  Patch from Clifford Beshers.
  * Work around lack of signals on Windows in MissingH.Cmd.
  * Make sure Data.Bits is imported in MissingH.IO.StatCompat.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 19 Oct 2006 04:38:10 -0500

missingh (0.14.5) unstable; urgency=low

  * New function: MissingH.Cmd.posixRawSystem
  * MissingH.Cmd.safeSystem now implemented in terms of posixRawSystem 
    on supported platforms.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  4 Jul 2006 11:34:49 -0500

missingh (0.14.4) unstable; urgency=low

  * Fix a bug in ConfigParser.merge and write a test for it.
  * Rebuilt with GHC 6.4.2

 -- John Goerzen <jgoerzen@complete.org>  Wed, 28 Jun 2006 14:05:56 -0500

missingh (0.14.3) unstable; urgency=low

  * IO/StatCompat: Fixed missing Data.Bits import on mingw32 
  * Updated COPYING file with new FSF address
  * Cmd.hs: Commented out code that was never used
  * Import new package MD5 0.2.7 from Ian Lynagh

 -- John Goerzen <jgoerzen@complete.org>  Wed, 28 Jun 2006 03:48:24 -0500

missingh (0.14.2) unstable; urgency=low

  * ConfigParser gives more helpful error messages when possible --
    it now includes section and option in most error messages
  * Unit tests updated for new ConfigParser output
  * MissingH.Str: New function escapeRe that takes a string and makes
    a regular expression that matches the string literally.
  * MissingH.IO.HVFS: New function vDoesExist
  * MissingH.List: New function hasAny
  * New modules: MissingH.Path.Glob and MissingH.Path.WildMatch
    and tests for them
  * 716 total unit tests now

 -- John Goerzen <jgoerzen@complete.org>  Thu, 13 Apr 2006 00:14:10 -0500

missingh (0.14.0) unstable; urgency=low

  * New function splitWs
  * Loggers: When creating new loggers, use the new parent for defaults
    when possible. [API change]
  * Logger handlers: Now pass the calling logger name to handlers.
    [API change]
  * New log handler: verboseStreamHandler
  * Syslog handler also includes priority and logger name for each message.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  4 Apr 2006 05:31:15 -0500

missingh (0.13.1) unstable; urgency=low

  * Note Build-Depends on HUnit in MissingH.Cabal.  Closes: #356196.
  * MissingH.IO.HVIO: No longer return EOFError when vGetContents called
    at EOF, for compatibility with hGetContents.  Reported by
    Bulat Ziganshin.
  * MissingH.IO.HVFS.Utils: Applied suggestion from Bulat
    to make recursiveRemove cleaner.
  * MissingH.IO.HVIO: Minor bugfixes suggested by Bulat.
  * Updated, fixed typos, and enhanced various docs.


=== debian/control ===
Source: ftphs
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.6.1), ghc6 (<< 6.6.1-999), haskell-devscripts (>= 0.5.6), cpphs, libghc6-network-dev, libghc6-mtl-dev, libghc6-missingh-dev (>= 0.18.4), libghc6-hslogger-dev
Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.6), ghc6 (>= 6.6), cpphs, libhugs-hslogger, libhugs-hunit, libhugs-network, libhugs-missingh (>= 0.18.0)
Standards-Version: 3.6.2
Section: devel

Package: libghc6-ftphs-dev
Section: devel
Architecture: any
Depends: ${haskell:Depends}, libghc6-network-dev, libghc6-hslogger-dev, libghc6-missingh-dev (>= 0.18.4)
Suggests: ftphs-doc
Description: FTP Client and Server Library for Haskell, GHC package
 ftphs provides a Haskell library to implement a FTP client
 and a FTP server.
 .
 ftphs has a number of features:
 .
  * Easy to use operation
  * Full support of text and binary transfers
  * Optional lazy interaction
  * Server can serve up a real or a virtual filesystem tree
  * Standards compliant

#Package: libhugs-ftphs
#Section: devel
#Architecture: all
#Depends: ${haskell:Depends}, libhugs-hslogger, libhugs-hunit, libhugs-network, libhugs-missingh (>= 0.18.0)
#Suggests: ftphs-doc
#Description: FTP Client and Server Library for Haskell, Hugs package
# ftphs provides a Haskell library to implement a FTP client
# and a FTP server.
# .
# ftphs has a number of features:
# .
#  * Easy to use operation
#  * Full support of text and binary transfers
#  * Optional lazy interaction
#  * Server can serve up a real or a virtual filesystem tree
#  * Standards compliant

Package: ftphs-doc
Section: doc
Architecture: all
Description: FTP Client and Server Library for Haskell, documentation
 ftphs provides a Haskell library to implement a FTP client
 and a FTP server.
 .
 ftphs has a number of features:
 .
  * Easy to use operation
  * Full support of text and binary transfers
  * Optional lazy interaction
  * Server can serve up a real or a virtual filesystem tree
  * Standards compliant

## ftphs 1.0.4.0

=== debian/changelog ===
ftphs (1.0.4.0) unstable; urgency=low

  * Build with GHC 6.8.x.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 28 Jan 2008 16:33:34 -0600

ftphs (1.0.3) unstable; urgency=medium

  * Drop build-dep on hugs stuff

 -- John Goerzen <jgoerzen@complete.org>  Thu, 12 Jul 2007 11:41:39 -0500

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: ftphs
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.6.1), ghc6 (<< 6.6.1-999), haskell-devscripts (>= 0.5.6), cpphs, libghc6-network-dev, libghc6-mtl-dev, libghc6-missingh-dev (>= 0.18.4), libghc6-hslogger-dev
-Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.6), ghc6 (>= 6.6), cpphs, libhugs-hslogger, libhugs-hunit, libhugs-network, libhugs-missingh (>= 0.18.0)
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2), ghc6 (<< 6.8.2-999), haskell-devscripts (>= 0.6.4), cpphs, libghc6-network-dev, libghc6-mtl-dev, libghc6-missingh-dev (>= 1.0.0), libghc6-hslogger-dev
+Build-Depends-Indep: debhelper (>= 4.0.0), haddock, haskell-devscripts (>= 0.6.4), ghc6 (>= 6.8), cpphs
 Standards-Version: 3.6.2
 Section: devel
 
 Package: libghc6-ftphs-dev
 Section: devel
 Architecture: any
-Depends: ${haskell:Depends}, libghc6-network-dev, libghc6-hslogger-dev, libghc6-missingh-dev (>= 0.18.4)
+Depends: ${haskell:Depends}, libghc6-network-dev, libghc6-hslogger-dev, libghc6-missingh-dev (>= 1.0.0)
 Suggests: ftphs-doc
 Description: FTP Client and Server Library for Haskell, GHC package
  ftphs provides a Haskell library to implement a FTP client
@@ -26,7 +26,7 @@
 #Package: libhugs-ftphs
 #Section: devel
 #Architecture: all
-#Depends: ${haskell:Depends}, libhugs-hslogger, libhugs-hunit, libhugs-network, libhugs-missingh (>= 0.18.0)
+#Depends: ${haskell:Depends}, libhugs-hslogger, libhugs-hunit, libhugs-network, libhugs-missingh (>= 1.0.0)
 #Suggests: ftphs-doc
 #Description: FTP Client and Server Library for Haskell, Hugs package
 # ftphs provides a Haskell library to implement a FTP client

## ftphs 1.0.4.3

=== debian/changelog ===
ftphs (1.0.4.3) unstable; urgency=low

  * Note VCS-* and Homepage lines in control.
  * Rebuild for newer MissingH.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 25 Apr 2008 11:39:25 -0500

ftphs (1.0.4.2) unstable; urgency=low

  * Rebuild against hslogger 1.0.5.  Closes: #468914.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 02 Mar 2008 07:15:02 -0600

ftphs (1.0.4.1) unstable; urgency=low

  * Rebuild to grab newer regex deps.  Closes: #464530.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 29 Feb 2008 09:54:08 -0600

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: ftphs
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2), ghc6 (<< 6.8.2-999), haskell-devscripts (>= 0.6.4), cpphs, libghc6-network-dev, libghc6-mtl-dev, libghc6-missingh-dev (>= 1.0.0), libghc6-hslogger-dev
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2), ghc6 (<< 6.8.2-999), haskell-devscripts (>= 0.6.4), cpphs, libghc6-network-dev, libghc6-mtl-dev, libghc6-missingh-dev (>= 1.0.1.0), libghc6-hslogger-dev (>= 1.0.5)
 Build-Depends-Indep: debhelper (>= 4.0.0), haddock, haskell-devscripts (>= 0.6.4), ghc6 (>= 6.8), cpphs
 Standards-Version: 3.6.2
 Section: devel
+Homepage: http://software.complete.org/ftphs
+VCS-Git: git://git.complete.org/ftphs
+VCS-Browser: http://git.complete.org/ftphs
 
 Package: libghc6-ftphs-dev
 Section: devel
 Architecture: any
-Depends: ${haskell:Depends}, libghc6-network-dev, libghc6-hslogger-dev, libghc6-missingh-dev (>= 1.0.0)
+Depends: ${haskell:Depends}, libghc6-network-dev, libghc6-hslogger-dev (>= 1.0.5), libghc6-missingh-dev (>= 1.0.1)
 Suggests: ftphs-doc
 Description: FTP Client and Server Library for Haskell, GHC package
  ftphs provides a Haskell library to implement a FTP client

## ftphs 1.0.4.6

=== debian/changelog ===
ftphs (1.0.4.6) unstable; urgency=high

  * Rebuilding for newer GHC.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 19 Jan 2009 15:49:13 -0600

ftphs (1.0.4.5) unstable; urgency=low

  * Rebuild for newer hslogger.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 11 Dec 2008 08:52:13 -0600

ftphs (1.0.4.4) unstable; urgency=low

  * Rebuild for newer MissingH.
  * Introduce dh_haskell_depends.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 05 Dec 2008 15:26:43 -0600

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: ftphs
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2), ghc6 (<< 6.8.2-999), haskell-devscripts (>= 0.6.4), cpphs, libghc6-network-dev, libghc6-mtl-dev, libghc6-missingh-dev (>= 1.0.1.0), libghc6-hslogger-dev (>= 1.0.5)
-Build-Depends-Indep: debhelper (>= 4.0.0), haddock, haskell-devscripts (>= 0.6.4), ghc6 (>= 6.8), cpphs
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2dfsg1), haskell-devscripts (>= 0.6.15), cpphs, libghc6-network-dev, libghc6-mtl-dev, libghc6-missingh-dev (>= 1.0.3.2), libghc6-hslogger-dev (>= 1.0.7.2)
+Build-Depends-Indep: debhelper (>= 4.0.0), haddock, haskell-devscripts (>= 0.6.15), ghc6 (>= 6.8.2dfsg1), cpphs
 Standards-Version: 3.6.2
 Section: devel
 Homepage: http://software.complete.org/ftphs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	make setup
	./setup configure --prefix=$(LIBPATH) --ghc

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	#make test-ghc6
	# Add here commands to compile the package.
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-./setup clean
	-make clean
	-rm -rf setup Setup.hi Setup.ho Setup.o .*config* dist html

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs -a 

	# Add here commands to install the package into debian/tmp
	dh_haskell -a
	dh_haskell_depends -a
	make test-ghc6

builddocs: builddocs-stamp
builddocs-stamp:
	dh_testdir

	make doc
	#make test-hugs

installdocs: builddocs
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -i

	dh_haskell -i
	#make test-hugs

# Build architecture-independent files here.
binary-indep: builddocs installdocs
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman -i
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## ftphs 1.0.4.6build1

=== debian/changelog ===
ftphs (1.0.4.6build1) jaunty; urgency=low

  * No-change rebuild against new haskell-regex-compat.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sat, 07 Mar 2009 14:03:04 +0100

## ftphs 1.0.7

=== debian/changelog ===
ftphs (1.0.7-3build1) oneiric; urgency=low

  * No change rebuild against new GHC ABIs

 -- Iain Lane <laney@ubuntu.com>  Wed, 08 Jun 2011 16:27:49 +0100

ftphs (1.0.7-3) unstable; urgency=low

  * ghc6 → ghc
  * Add profiling package
  * Source format 3.0 (quilt)

 -- Joachim Breitner <nomeata@debian.org>  Fri, 27 May 2011 10:00:27 +0200

ftphs (1.0.7-2) unstable; urgency=low

  * Rename -doc package.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Thu, 06 May 2010 19:53:41 -0300

ftphs (1.0.7-1) unstable; urgency=low

  * New upstream release.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 19 Feb 2010 10:17:41 -0600

ftphs (1.0.6-1) unstable; urgency=low

  * New upstream release.
  * Switching to Debian Haskell team maintenance.
  * Rebuild for GHC 6.12.
  * New haskell-devscripts build infrastructure.  Closes: #556841.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 19 Feb 2010 09:59:25 -0600

ftphs (1.0.5-1) unstable; urgency=low

  * Rebuild for GHC 6.10.
  * New test building infrastructure.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 03 Apr 2009 15:50:26 -0500

=== debian/control ===
Source: ftphs
Priority: extra
Section: haskell
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: John Goerzen <jgoerzen@complete.org>
Build-Depends:
    debhelper (>= 7)
  , haskell-devscripts (>= 0.8)
  , cpphs
  , libghc-network-dev
  , libghc-network-prof
  , libghc-mtl-dev
  , libghc-mtl-prof
  , libghc-missingh-dev (>= 1.0.3.2)
  , libghc-missingh-prof
  , libghc-hslogger-dev (>= 1.0.7.2)
  , libghc-hslogger-prof
  , libghc-hunit-dev
  , libghc-hunit-prof
  , cdbs
Build-Depends-Indep: 
    ghc-doc
  , libghc-network-doc
  , libghc-mtl-doc
  , libghc-missingh-doc
  , libghc-hslogger-doc
  , libghc-hunit-doc
Standards-Version: 3.6.2
Homepage: http://software.complete.org/ftphs
VCS-Git: git://git.debian.org/git/pkg-haskell/ftphs.git
VCS-Browser: http://git.debian.org/?p=pkg-haskell/missingh.git;a=summary

Package: libghc-ftphs-dev
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: FTP Client and Server Library for Haskell, GHC package
 ftphs provides a Haskell library to implement a FTP client
 and a FTP server.
 .
 ftphs has a number of features:
 .
  * Easy to use operation
  * Full support of text and binary transfers
  * Optional lazy interaction
  * Server can serve up a real or a virtual filesystem tree
  * Standards compliant

Package: libghc-ftphs-prof
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: FTP Client and Server Library for Haskell, profiling data
 ftphs provides a Haskell library to implement a FTP client
 and a FTP server.
 .
 ftphs has a number of features:
 .
  * Easy to use operation
  * Full support of text and binary transfers
  * Optional lazy interaction
  * Server can serve up a real or a virtual filesystem tree
  * Standards compliant

Package: libghc-ftphs-doc
Section: doc
Architecture: all
Depends: ${haskell:Depends}, ${misc:Depends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}, ftphs-doc
Replaces: ftphs-doc (<< 1.0.7-2)
Conflicts: ftphs-doc (<< 1.0.7-2)
Description: FTP Client and Server Library for Haskell, documentation
 ftphs provides a Haskell library to implement a FTP client
 and a FTP server.
 .
 ftphs has a number of features:
 .
  * Easy to use operation
  * Full support of text and binary transfers
  * Optional lazy interaction
  * Server can serve up a real or a virtual filesystem tree
  * Standards compliant

## ftphs 1.0.8

=== debian/changelog ===
ftphs (1.0.8-2build1) saucy; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 30 May 2013 10:31:57 +0100

ftphs (1.0.8-2) unstable; urgency=low

  [ Joachim Breitner ]
  * Depend on haskell-devscripts 0.8.13 to ensure this package is built
    against experimental
  * Add watchfile
  * Enable compat level 9
  * Bump standards version to 3.9.4

  [ Iain Lane ]
  * debian/patches/ghc-7.6-compatibility: Update to work with
    Control.Exception.{try,catch} in GHC 7.6 (closes: #706080).

 -- Colin Watson <cjwatson@debian.org>  Mon, 27 May 2013 10:30:34 +0100

ftphs (1.0.8-1) unstable; urgency=low

  * New upstream version.
  * Bump to Standards-Version 3.9.3.
  * Fix Vcs-Browser value.

 -- Clint Adams <clint@debian.org>  Tue, 06 Mar 2012 20:26:23 -0500

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,9 @@
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: John Goerzen <jgoerzen@complete.org>
 Build-Depends:
-    debhelper (>= 7)
-  , haskell-devscripts (>= 0.8)
+    debhelper (>= 9)
+  , haskell-devscripts (>= 0.8.13)
   , cpphs
-  , libghc-network-dev
-  , libghc-network-prof
   , libghc-mtl-dev
   , libghc-mtl-prof
   , libghc-missingh-dev (>= 1.0.3.2)
@@ -17,18 +15,19 @@
   , libghc-hslogger-prof
   , libghc-hunit-dev
   , libghc-hunit-prof
+  , libghc-regex-compat-dev
+  , libghc-regex-compat-prof
   , cdbs
-Build-Depends-Indep: 
-    ghc-doc
-  , libghc-network-doc
+Build-Depends-Indep: ghc-doc
   , libghc-mtl-doc
   , libghc-missingh-doc
   , libghc-hslogger-doc
   , libghc-hunit-doc
-Standards-Version: 3.6.2
+  , libghc-regex-compat-doc
+Standards-Version: 3.9.4
 Homepage: http://software.complete.org/ftphs
-VCS-Git: git://git.debian.org/git/pkg-haskell/ftphs.git
-VCS-Browser: http://git.debian.org/?p=pkg-haskell/missingh.git;a=summary
+Vcs-Darcs: http://darcs.debian.org/pkg-haskell/ftphs
+Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/ftphs
 
 Package: libghc-ftphs-dev
 Architecture: any

## ftphs 1.0.9.1

=== debian/changelog ===
ftphs (1.0.9.1-8build3) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 10 Jul 2017 08:45:16 +0200

ftphs (1.0.9.1-8build2) artful; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 21 Jun 2017 05:12:45 +0000

ftphs (1.0.9.1-8build1) zesty; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 25 Jan 2017 14:23:09 +0100

ftphs (1.0.9.1-8) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:32:16 -0400

ftphs (1.0.9.1-7) experimental; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Clint Adams ]
  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Sun, 16 Oct 2016 12:45:00 -0400

ftphs (1.0.9.1-6) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:02 -0500

ftphs (1.0.9.1-5) experimental; urgency=medium

  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:26:52 +0200

ftphs (1.0.9.1-4) unstable; urgency=medium

  * Rebuild due to haskell-devscripts bug affecting the previous

 -- Joachim Breitner <nomeata@debian.org>  Tue, 28 Apr 2015 23:58:32 +0200

ftphs (1.0.9.1-3) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:47:26 +0200

ftphs (1.0.9.1-2) experimental; urgency=low

  * Adjust watch file to new hackage layout
  * Depend on haskell-devscripts 0.9, found in experimental
  * Fix description, use standard substvars

 -- Joachim Breitner <nomeata@debian.org>  Sun, 21 Dec 2014 13:17:39 +0100

ftphs (1.0.9.1-1) unstable; urgency=low

  * New upstream release, dropping patches

 -- Joachim Breitner <nomeata@debian.org>  Wed, 21 Aug 2013 22:35:12 +0200

ftphs (1.0.8-3) unstable; urgency=low

  * Bump version of Build-Depends: on haskell-devscripts

 -- Louis Bettens <louis@bettens.info>  Wed, 31 Jul 2013 17:54:30 +0200

=== debian/control ===
Source: ftphs
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 John Goerzen <jgoerzen@complete.org>,
 Louis Bettens <louis@bettens.info>,
Priority: extra
Section: haskell
Build-Depends:
 cdbs,
 cpphs,
 debhelper (>= 9),
 ghc (>= 8),
 haskell-devscripts (>= 0.13),
 libghc-hslogger-dev (>= 1.0.7.2),
 libghc-hslogger-prof,
 libghc-hunit-dev,
 libghc-hunit-prof,
 libghc-missingh-dev (>= 1.0.3.2),
 libghc-missingh-prof,
 libghc-mtl-dev,
 libghc-mtl-prof,
 libghc-regex-compat-dev,
 libghc-regex-compat-prof,
Build-Depends-Indep:
 ghc-doc,
 libghc-hslogger-doc,
 libghc-hunit-doc,
 libghc-missingh-doc,
 libghc-mtl-doc,
 libghc-regex-compat-doc,
Standards-Version: 3.9.8
Homepage: http://software.complete.org/ftphs
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/ftphs
Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
X-Description: FTP Client and Server Library for Haskell
 ftphs provides a Haskell library to implement a FTP client
 and a FTP server.
 .
 ftphs has a number of features:
 .
  * Easy to use operation
  * Full support of text and binary transfers
  * Optional lazy interaction
  * Server can serve up a real or a virtual filesystem tree
  * Standards compliant

Package: libghc-ftphs-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-ftphs-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-ftphs-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
http://hackage.haskell.org/package/ftphs/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## ftphs 1.0.9.2

=== debian/changelog ===
ftphs (1.0.9.2-3build1) eoan; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 04 Aug 2019 00:29:49 +0200

ftphs (1.0.9.2-3) unstable; urgency=medium

  * Remove build dependency on libghc-mtl-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:33:21 +0300

ftphs (1.0.9.2-2) unstable; urgency=medium

  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:01:16 +0300

ftphs (1.0.9.2-1) unstable; urgency=medium

  * Set Rules-Requires-Root to no.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 02 Jul 2018 21:04:12 -0400

ftphs (1.0.9.1-9) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:04:40 -0400

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: ftphs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  John Goerzen <jgoerzen@complete.org>,
  Louis Bettens <louis@bettens.info>,
-Priority: extra
+Priority: optional
 Section: haskell
+Rules-Requires-Root: no
 Build-Depends:
  cdbs,
  cpphs,
- debhelper (>= 9),
- ghc (>= 8),
+ debhelper (>= 10),
+ ghc (>= 8.4.3),
  haskell-devscripts (>= 0.13),
  libghc-hslogger-dev (>= 1.0.7.2),
  libghc-hslogger-prof,
@@ -18,8 +18,6 @@
  libghc-hunit-prof,
  libghc-missingh-dev (>= 1.0.3.2),
  libghc-missingh-prof,
- libghc-mtl-dev,
- libghc-mtl-prof,
  libghc-regex-compat-dev,
  libghc-regex-compat-prof,
 Build-Depends-Indep:
@@ -27,12 +25,11 @@
  libghc-hslogger-doc,
  libghc-hunit-doc,
  libghc-missingh-doc,
- libghc-mtl-doc,
  libghc-regex-compat-doc,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: http://software.complete.org/ftphs
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/ftphs
-Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/ftphs
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/ftphs]
 X-Description: FTP Client and Server Library for Haskell
  ftphs provides a Haskell library to implement a FTP client
  and a FTP server.

=== debian/watch ===
version=3
https://hackage.haskell.org/package/ftphs/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
